/*
 * keyboard.c
 *
 *  Created on: 24.03.2018
 *      Author: Rafa
 */

#include "stm32f0xx_hal.h"
#include "usb_device.h"
#include "usbd_hid.h"

#include "keyboard.h"


#define KEYS	6
struct keyboardHID_t {
    uint8_t modifiers;
    uint8_t reserved;
    uint8_t key[KEYS];
};

static struct keyboardHID_t keyboardHID;

void send_sequence(struct keys *d)
{
	while(d->key != 0) {
		keyboardHID.modifiers = d->modifiers;
		keyboardHID.key[0] = d->key;
		USBD_HID_SendReport(&hUsbDeviceFS, &keyboardHID, sizeof(struct keyboardHID_t));
		HAL_Delay(20);
		d++;
	}
	keyboardHID.modifiers = 0;
	keyboardHID.key[0] = 0;
	USBD_HID_SendReport(&hUsbDeviceFS, &keyboardHID, sizeof(struct keyboardHID_t));
}
